<?xml version='1.0' encoding='ISO-8859-1' standalone='yes'?>
<tagfile>
  <compound kind="page">
    <filename>index</filename>
    <title>Spelling Checker Library</title>
    <name>index</name>
  </compound>
  <compound kind="class">
    <name>KSpell</name>
    <filename>classKSpell.html</filename>
    <base>QObject</base>
    <member kind="enumeration">
      <name>spellStatus</name>
      <anchor>s6</anchor>
      <arglist></arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>misspelling</name>
      <anchor>j0</anchor>
      <arglist>(const QString &amp;originalword, const QStringList &amp;suggestions, unsigned int pos)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>corrected</name>
      <anchor>j1</anchor>
      <arglist>(const QString &amp;originalword, const QString &amp;newword, unsigned int pos)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>ignoreall</name>
      <anchor>j2</anchor>
      <arglist>(const QString &amp;originalword)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>ignoreword</name>
      <anchor>j3</anchor>
      <arglist>(const QString &amp;originalword)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>addword</name>
      <anchor>j4</anchor>
      <arglist>(const QString &amp;originalword)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>replaceall</name>
      <anchor>j5</anchor>
      <arglist>(const QString &amp;origword, const QString &amp;replacement)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>ready</name>
      <anchor>j6</anchor>
      <arglist>(KSpell *)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>progress</name>
      <anchor>j7</anchor>
      <arglist>(unsigned int i)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>done</name>
      <anchor>j8</anchor>
      <arglist>(const QString &amp;buffer)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>done</name>
      <anchor>j9</anchor>
      <arglist>(bool)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>death</name>
      <anchor>j10</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KSpell</name>
      <anchor>a0</anchor>
      <arglist>(QWidget *parent, const QString &amp;caption, QObject *receiver, const char *slot, KSpellConfig *kcs=0, bool progressbar=TRUE, bool modal=FALSE)</arglist>
    </member>
    <member kind="function">
      <type>spellStatus</type>
      <name>status</name>
      <anchor>a1</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>cleanUp</name>
      <anchor>a2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setAutoDelete</name>
      <anchor>a3</anchor>
      <arglist>(bool _autoDelete)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>check</name>
      <anchor>a4</anchor>
      <arglist>(const QString &amp;_buffer, bool usedialog=TRUE)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>lastPosition</name>
      <anchor>a5</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>checkList</name>
      <anchor>a6</anchor>
      <arglist>(QStringList *_wordlist, bool usedialog=TRUE)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>checkWord</name>
      <anchor>a7</anchor>
      <arglist>(const QString &amp;_buffer, bool usedialog=FALSE)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>hide</name>
      <anchor>a8</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>QStringList</type>
      <name>suggestions</name>
      <anchor>a9</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>dlgResult</name>
      <anchor>a10</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>moveDlg</name>
      <anchor>a11</anchor>
      <arglist>(int x, int y)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>heightDlg</name>
      <anchor>a12</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>widthDlg</name>
      <anchor>a13</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>intermediateBuffer</name>
      <anchor>a14</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>ignore</name>
      <anchor>a15</anchor>
      <arglist>(const QString &amp;word)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>addPersonal</name>
      <anchor>a16</anchor>
      <arglist>(const QString &amp;word)</arglist>
    </member>
    <member kind="function">
      <type>KSpellConfig</type>
      <name>ksConfig</name>
      <anchor>a17</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setProgressResolution</name>
      <anchor>a18</anchor>
      <arglist>(unsigned res)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~KSpell</name>
      <anchor>a19</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setIgnoreUpperWords</name>
      <anchor>a20</anchor>
      <arglist>(bool b)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setIgnoreTitleCase</name>
      <anchor>a21</anchor>
      <arglist>(bool b)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>int</type>
      <name>modalCheck</name>
      <anchor>d0</anchor>
      <arglist>(QString &amp;text)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>int</type>
      <name>modalCheck</name>
      <anchor>d1</anchor>
      <arglist>(QString &amp;text, KSpellConfig *kcs)</arglist>
    </member>
    <member kind="variable" protection="public">
      <type>bool</type>
      <name>modaldlg</name>
      <anchor>n38</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KSpellConfig</name>
    <filename>classKSpellConfig.html</filename>
    <base>QWidget</base>
    <member kind="slot">
      <type>void</type>
      <name>activateHelp</name>
      <anchor>g0</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KSpellConfig</name>
      <anchor>a0</anchor>
      <arglist>(QWidget *parent=0, const char *name=0, KSpellConfig *spellConfig=0, bool addHelpButton=true)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setIgnoreList</name>
      <anchor>a4</anchor>
      <arglist>(QStringList _ignorelist)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setReplaceAllList</name>
      <anchor>a5</anchor>
      <arglist>(QStringList _replaceAllList)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setNoRootAffix</name>
      <anchor>a6</anchor>
      <arglist>(bool)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setRunTogether</name>
      <anchor>a7</anchor>
      <arglist>(bool)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setDictionary</name>
      <anchor>a8</anchor>
      <arglist>(const QString qs)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>noRootAffix</name>
      <anchor>a12</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>writeGlobalSettings</name>
      <anchor>a20</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="public">
      <type>bool</type>
      <name>interpret</name>
      <anchor>b2</anchor>
      <arglist>(QString &amp;fname, QString &amp;lname, QString &amp;hname)</arglist>
    </member>
  </compound>
</tagfile>
